# Method: properties.dataStreams.eventEditRules.reorder

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.request_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.response_body)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventEditRules/reorder#try-it)

Changes the processing order of event edit rules on the specified stream.

### HTTP request

`POST https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*/dataStreams/*}/eventEditRules:reorder`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Example format: properties/123/dataStreams/456 |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "eventEditRules": [ string ] } ``` |

| Fields ||
|---|---|
| `eventEditRules[]` | `string` Required. EventEditRule resource names for the specified data stream, in the needed processing order. All EventEditRules for the stream must be present in the list. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/analytics.edit`